View Issue Details

IDProjectCategoryView StatusLast Update
0000793FreeCADBugpublic2013-02-13 13:16
Reportersliptonic Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000793: Deleting constraints/geometry causes crash.
DescriptionI've frequently had crashes occur when deleting geometry - particularly construction lines - that have constraints. The attached file demonstrates the problem reliably.

Open the file and edit the sketch.
Begin deleting the four construction lines that form a square on the left of the part.

I don't know if order matters, but I start at the top and work clockwise. The crash happens reliably on the third segment.
Additional InformationThis sketch shows a possibly related problem with inaccurate reporting of DOF.

It's currently showing 8 DOF, but I can't find anything unconstrained.
TagsNo tags attached.
FreeCAD Information

Activities

2012-07-14 12:45

 

horizontalmotormount.fcstd (Attachment missing)

Issue History

Date Modified Username Field Change
2012-07-14 12:45 sliptonic New Issue
2012-07-14 12:45 sliptonic File Added: horizontalmotormount.fcstd
2012-08-06 18:54 logari81 Status new => closed
2012-08-06 18:54 logari81 Resolution open => fixed
2012-08-06 18:54 logari81 Fixed in Version => trunk
2013-02-13 13:16 yorik Fixed in Version trunk => 0.13